%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-traverse
Version:        0.6.6
Release:        7%{?dist}
Summary:        Traverse and transform objects

License:        MIT
URL:            https://github.com/substack/js-traverse
Source0:        https://registry.npmjs.org/traverse/-/traverse-%{version}.tgz
# https://github.com/substack/js-traverse/pull/51
Patch0:         nodejs-traverse-tape.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
Traverse and transform objects by visiting every node on a recursive walk.


%prep
%autosetup -p 1 -n package

#fix permissions on stuff that goes in %%doc
chmod 0644 examples/*


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/traverse
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/traverse
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc examples readme.markdown
%license LICENSE
%{nodejs_sitelib}/traverse


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.6.6-1
- Update to 0.6.6 upstream release
- Patch tests for newer tape

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.5-1
- update to upstream release 0.6.5
- enable tests

* Sun Aug 18 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.3-5
- rebuild to restrict to compatible arches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-3
- add macro to enable dependency generation on EPEL6

* Tue Jan 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-2
- fix permissions on examples

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-1
- initial package generated by npm2rpm
